/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef INFODIALOG_H
#define INFODIALOG_H

#include <qmainwindow.h>
class QTable;

class InfoDialog: public QMainWindow {
	Q_OBJECT
public:
	InfoDialog(QWidget *parent=0, const char *name=0, int rowsTable = 0);
    ~InfoDialog();
    void setTableItem(int row, QString status, bool s);
signals:
	void details(int, int);    
private:
	QTable *table;
};

#endif
