/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef RESULTSWIDGET_H
#define RESULTSWIDGET_H

#include <qframe.h>
#include <qstring.h>
#include <qlayout.h>

class QPushButton;
class InfoWidget;

class ResultsWidget: public QFrame {
	Q_OBJECT
public:
	ResultsWidget(QWidget *parent = 0);
    ~ResultsWidget();
    void setGeometry(QRect);
    void setText(QString);
    void clearContent();
signals:
	void close();
    void info();
private:
	InfoWidget *testResults;
    QPushButton *dismBut;
    QPushButton *infoBut;
};
#endif

